/**
 * Wrap the runtime-specific hook into stdin
 */
export async function* inputLoop() {
	for await (const chunk of Bun.stdin.stream()) {
		yield chunk;
	}
}

export async function write(s: string): Promise<void> {
	const buffer = new TextEncoder().encode(s);

	await Bun.write(Bun.stdout, buffer);
}
